<template>
  <div class="user-initials">{{ userInitials }}</div>
</template>

<script setup>
  const props = defineProps({
    user: { type: Object, required: true }
  })

  const userInitials = computed(() =>
    `${props.user.first_name[0]}${props.user.last_name[0]}`.toUpperCase()
  )
</script>

<style>
  .user-initials {
    padding: 0.25rem 0.5rem;
    width: fit-content;
    height: 2rem;
    background-color: var(--primary);
    color: #fff;
    border-radius: 0.25rem;
  }
</style>
